package com.muyu.source.clinet.jdbcUtils;

import lombok.extern.log4j.Log4j2;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

/**
  *  jdbc实体类
  * @author YunFei.Du
  * @date  15:36 2024/5/14
 */
@Log4j2
public class JDBCConcreteClass extends JDBCAbstractClass{
    @Override
    public PreparedStatement getPreparedStatement(Connection connection,String sql) {
        try {
            PreparedStatement preparedStatement = connection.prepareStatement ( sql );
            log.info ( "查询结果：" + preparedStatement );
            return preparedStatement;
        } catch (SQLException e) {
            throw new RuntimeException ( e );
        }
    }
}
