package com.muyu.data.source.domain.red;

import com.muyu.data.source.domain.AssetStructure;
import com.muyu.data.source.domain.DataSource;
import com.muyu.data.source.domain.DatabaseTableInformation;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 接入数据库数据和表数据集合
 *
 * @ClassName DataSourceTableRed
 * @Author AnNan.Wang
 * @Date 2024/5/9 14:11
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class DataSourceTableRed {
    /** 数据系统 */
    private DataSource dataSource;
    /** 表集合 */
    private List<DatabaseTableInformation> databaseTableInformationList;
}
