package com.muyu.data.source.domain.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 接参
 *
 * @ClassName DatabaseConnect
 * @Author AnNan.Wang
 * @Date 2024/4/25 21:14
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class DatabaseConnect {
    /**
     * 数据库名称
     */
    private String databaseName;
    /**
     * 表名
     */
    private String name;
}
