package com.muyu.data.source.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.Asset;

import java.util.List;

/**
 * Asset的 Service 层接口
 *
 * @author AnNan.Wang
 * @ClassName: AssetService
 * @createTime: 2024/5/14 10:32
 */
public interface AssetService extends IService<Asset> {
    Result<List<Asset>> assetsList(String tableName);


}
