package com.muyu.data.source.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.SysDictDataTable;

/**
 * 数据表的 Service层
 *
 * @author AnNan.Wang
 * @createTime: 2024/4/29 16:01
 */
public interface SysDictDataTableService extends IService<SysDictDataTable> {
    Result<String> sysDictDataTableAdd(SysDictDataTable sysDictDataTable);

    Result<String> sysDictDataTableDelete(Long id);

    Result<String> sysDictDataTableUpdate(SysDictDataTable sysDictDataTable);

}
