package com.muyu.rule.domain.red;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.rule.domain.EngineVersion;
import com.muyu.rule.domain.Ruleengine;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 规则详情
 *
 * @ClassName EngineVersion
 * @Author AnNan.Wang
 * @Date 2024/5/6 20:41
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "EngineVersionReq", description = "规则详情")
public class EngineVersionReq{

    private Ruleengine ruleengine;

    private List<EngineVersion> engineVersionList;
}
