package com.muyu.method.SQL;


import java.util.Map;

/**
 * SQL的标准
 */
public interface SqlMethod<K, V, C> {

    // 插入SQL接口
    String insertData(K key, Map<K, V> value);

    // 查询SQL接口
    String selectData(K key,Map<K, V> value ,C condition);

    // 修改SQL接口
    String updateData(K key, Map<K, V> value, C condition,Map<K, V> update);


    // 删除SQL接口
    String deleteData(K key, Map<K, V> value, C condition);
}
