package com.muyu.source.clinet.config;

import com.muyu.common.cache.MysqlPoolConfig;
import com.muyu.common.cache.abs.MysqlPool;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.data.source.domain.DataSource;
import com.muyu.data.source.domain.req.DataSourceQueryReq;
import com.muyu.data.source.remote.RemoteDataManagerService;
import com.muyu.method.druid.druidPort;
import com.muyu.source.clinet.jdbcUtils.JDBCConcreteClass;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;

import java.sql.Connection;
import java.util.List;

/**
 * 初始化加载
 *
 * @ClassName DataSourceClinetRunner
 * @Author AnNan.Wang
 * @Date 2024/5/8 20:46
 */

@Log4j2
public class DataSourceClinetRunner implements ApplicationRunner {
    @Autowired
    private RemoteDataManagerService remoteDataManagerService;


    @Override
    public void run(ApplicationArguments args) throws Exception {
        Result<TableDataInfo<DataSource>> list = remoteDataManagerService.list(new DataSourceQueryReq());
        TableDataInfo<DataSource> data = list.getData();
        List<DataSource> rows = data.getRows();

    }
}
