package com.muyu.source.clinet.pool;

import com.alibaba.druid.pool.DruidDataSource;
import com.muyu.method.SQL.implementation.SqlMethodImplementation;
import com.muyu.source.clinet.factory.DataSourceSingleton;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import java.sql.*;
import java.util.HashMap;
import java.util.Map;

/**
 * druid(德鲁伊)的详细信息
 *
 * @ClassName DruidDetails
 * @Author AnNan.Wang
 * @Date 2024/5/11 15:52
 */

@Log4j2
public class DruidDetails implements ApplicationRunner {
    Connection connection=null;

    @Autowired
    private SqlMethodImplementation sqlMethodImplementation;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        DruidDataSource source = new DruidDataSource();
        String url = "jdbc:mysql://101.34.243.166:3306/test_day01";
        String UserName = "root";
        String password = "wan@123";

        //设置数据源连接的 URL
        source.setUrl(url);
        //用户名
        source.setUsername(UserName);
        //密码
        source.setPassword(password);

        //初始连接数
        source.setInitialSize(3);
        //最大活动连接数
        source.setMaxActive(10);
        //最小空闲连接数
        source.setMinIdle(1);
        //最大等待时间
        source.setMaxWait(3000);

        //获取数据连接


        try {
            connection=source.getConnection();

            //执行查询操作
            Statement statement = connection.createStatement();
////            Map<String, Object> value ,String condition
//            String tableName = "t_user";
//            Map<String, Object> map = new HashMap<>();
//            map.put("age",13);
//            String  condition="1";
//            //查询
//            String SQL = sqlMethodImplementation.selectData(tableName, map, condition);
            //插入
//            String SQL = sqlMethodImplementation.insertData(tableName, map);
            //删除
//            String SQL = sqlMethodImplementation.deleteData(tableName, map, condition);

            //修改
//            Map<String, Object> hashMap = new HashMap<>();
//            hashMap.put("name","李四");
//            String SQL = sqlMethodImplementation.updateData(tableName, map, condition,hashMap);
//            System.out.println(SQL);
//            PreparedStatement prepared = connection.prepareStatement(SQL);
//
//            prepared.setInt(1,19);
//            prepared.setString(2,"李四");
//
//            int i = prepared.executeUpdate();
//            System.out.println(i + " 行已插入.");


//            while (resultSet.next()) {
//                int userId = resultSet.getInt("user_id");
//                String name = resultSet.getString("name");
//                int age = resultSet.getInt("age");
//
//                log.info("user_id:{},name:{},age:{}",userId,name,age);
//
//            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            //关闭连接
            if (connection != null) {
                try {
                    connection.close();
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        }
    }
}
