package com.muyu.data.source.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.DatabaseTable;
import com.muyu.data.source.domain.SysDictDataTable;

import java.util.List;

/**
 * DatabaseTable Service层接口
 *
 * @author AnNan.Wang
 * @ClassName: DatabaseTableService
 * @createTime: 2024/5/2 19:25
 */
public interface DatabaseTableService extends IService<DatabaseTable> {
    Result<String> modification(DatabaseTable databaseTable);

    Result<List<DatabaseTable>> tableNameList(String tableName);
}
