package com.muyu.data.source.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.SysDictionary;

import java.util.List;

/**
 * 字典类型Service接口
 *
 * @author AnNan.Wang
 * @ClassName: SysDictionaryService
 * @createTime: 2024/4/29 16:11
 */
public interface SysDictionaryService extends IService<SysDictionary> {
    Result<List<SysDictionary>> dictionaryList(String databaseName);


    Result<String> dictionaryAdd(SysDictionary sysDictionary);

    Result<String> dictionaryDelete(String dictType);

    Result<String> dictionaryUpdate(SysDictionary sysDictionary);
}
