package com.muyu.data.source.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.data.source.domain.DatabaseTableInformation;
import com.muyu.data.source.mapper.DatabaseTableInformationMapper;
import com.muyu.data.source.service.DatabaseTableInformationService;
import org.springframework.stereotype.Service;

/**
 * DatabaseTableInformation 数据库表信息的Impl业务实现层
 *
 * @ClassName DatabaseTableInformationServiceImpl
 * @Author AnNan.Wang
 * @Date 2024/5/9 14:20
 */

@Service
public class DatabaseTableInformationServiceImpl extends ServiceImpl<DatabaseTableInformationMapper, DatabaseTableInformation>
        implements DatabaseTableInformationService{
}
