package com.muyu.rule.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.core.domain.Result;
import com.muyu.rule.domain.EngineVersion;
import com.muyu.rule.domain.Ruleengine;
import com.muyu.rule.domain.model.RuleContentModel;
import com.muyu.rule.domain.red.RuleContentReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 引擎维护Mapper接口
 *
 * @author wan
 * @date 2024-05-03
 */
public interface EngineMaintenanceMapper extends BaseMapper<Ruleengine>
{
    void addRulecontent(@Param("ruleContentReq") RuleContentReq ruleContentReq);

    RuleContentModel getRuleContent(@Param("ruleId") Long ruleId);


}
