package com.muyu.rule.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.rule.domain.EngineVersion;

/**
 * EngineVersion 引擎版本的Service层接口
 *
 * @author AnNan.Wang
 * @ClassName: EngineVersionService
 * @createTime: 2024/5/6 20:57
 */
public interface EngineVersionService extends IService<EngineVersion> {
    Result<String> versionsAdd(EngineVersion engineVersion);

    Result<String> versionsUpd(EngineVersion engineVersion);
}
