package com.muyu.rule.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.rule.domain.EngineVersion;
import com.muyu.rule.domain.Ruleengine;
import com.muyu.rule.domain.model.RuleContentModel;
import com.muyu.rule.domain.red.EngineVersionReq;
import com.muyu.rule.domain.red.RuleContentReq;

import java.util.List;

/**
 * 引擎维护Service接口
 *
 * @author wan
 * @date 2024-05-03
 */
public interface IEngineMaintenanceService extends IService<Ruleengine> {
    public List<Ruleengine> list(Ruleengine ruleengine);

    Result compiler(RuleContentReq ruleContentReq);

    Result loader(RuleContentReq ruleContentReq);

    Result<RuleContentModel> getRuleContent(Long ruleId);

    Result<EngineVersionReq> details(Long id);

    Result<String> engineOnOff(Ruleengine ruleengine);

    Result<String> statusOnOff(Ruleengine ruleengine);
}
